Subject: Re: bug#17172: 24.3.50; Timeouts when pasting from mouse

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Apr 2014 19:00:20 +0300

> Date: Tue, 15 Apr 2014 01:02:34 -0700
> From: Paul Eggert <[email-masked]>
> Cc: [email-masked]
> 
> Thanks for the bug report.  I can't reproduce the problem on my Fedora 
> 20 x86-64 desktop, but in reviewing xgselect.c I see some glitches that 
> could explain things.  Please try the attached patch and let us know 
> whether it helps with your problem.  Please compile with 
> -DENABLE_CHECKING so that the patch's 'eassert' calls have teeth.  Thanks.

Paul, it looks like you committed this patch, was that on purpose?

Also, your commit nuked 2 last src/ChangeLog entries (I restored
them).  How did that happen?